cross
New Foswiki release 2.1.6 is available with important security fixes.
Sourceforge foswiki email lists being discontinued. Subscribe to the new Foswiki announce and discuss lists at MailingLists
This question about Installation of Foswiki, Configuration, Using an extension: Answered

Mod_perl error (package cannot be used)

I wish to use mod_perl on my server, since my wiki is terribly slow.

So, I installed mod_perl, modify foswiki.conf file and generate mod_perl startup script by means of http://foswiki.org/Support/ModPerlStartup

Unfortunately it crashes with following error:


tail /var/log/apache2/error.log<br />Use of uninitialized value in concatenation (.) or string at /var/lib/foswiki/tools/mod_perl_startup2.pl line 15.<br />Use of uninitialized value in concatenation (.) or string at /var/lib/foswiki/tools/mod_perl_startup2.pl line 15.<br />Use of uninitialized value in concatenation (.) or string at /var/lib/foswiki/tools/mod_perl_startup2.pl line 15.<br />Use of uninitialized value in concatenation (.) or string at /var/lib/foswiki/tools/mod_perl_startup2.pl line 15.<br />Use of uninitialized value in concatenation (.) or string at /var/lib/foswiki/tools/mod_perl_startup2.pl line 15.<br />Use of uninitialized value in concatenation (.) or string at /var/lib/foswiki/tools/mod_perl_startup2.pl line 15.<br />Use of uninitialized value in concatenation (.) or string at /var/lib/foswiki/tools/mod_perl_startup2.pl line 15.<br />[Wed Jun 17 11:12:10 2015] [error] This package can't be used under threaded MPMs at /usr/lib/perl5/ModPerl/RegistryPrefork.pm line 12.\nCompilation failed in require at /usr/lib/perl5/ModPerl/RegistryLoader.pm line 153.\nCompilation failed in require at (eval 2) line 1.\n

-- MateuszKDzior - 17 Jun 2015

Try the suggestion that is on the page you referenced:
# The registry module will be different (probably ModPerl::Registry) if you are not using the default prefork MPM
# Linux users can check using the command: apache2 -V | grep MPM
my $registrymodule = 'ModPerl::RegistryPrefork';

Your apache is configured for threaded processing, and the Prefork version of mod_perl doesn't support that.

-- GeorgeClark - 17 Jun 2015

Thank you, it works properly with 'ModPerl::Registry'

-- MateuszKDzior - 29 Jun 2015
 

QuestionForm edit

Subject Installation of Foswiki, Configuration, Using an extension
Extension ModPerlEngineContrib
Version Foswiki 1.1.9
Status Answered
Related Topics
Topic revision: r4 - 05 Jul 2015, GeorgeClark - This page was cached on 23 Mar 2018 - 02:54.

The copyright of the content on this website is held by the contributing authors, except where stated elsewhere. See Copyright Statement. Creative Commons License